## networking-arista 2015.1.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
oslo.log>=0.4.0 # Apache-2.0
pbr>=0.6,!=0.7,<1.0

=== debian/changelog ===
networking-arista (2015.1.3-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - (Build-)depend on python-oslo-log instead of python-oslo.log.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Jun 2015 21:41:59 -0700

networking-arista (2015.1.3-2) unstable; urgency=medium

  * Fixed wrong version depends which was making the package uninstallable.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #787830).
  * Added watch file.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jun 2015 17:05:06 +0200

networking-arista (2015.1.3-1ubuntu1) wily; urgency=medium

  * (Build-)depend on python-oslo-log instead of python-oslo.log.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 10 May 2015 20:36:29 +0100

networking-arista (2015.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #783593)

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Mar 2015 16:02:15 +0100

=== debian/control ===
Source: networking-arista
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-neutron (>= 2015.1~rc2),
                     python-babel,
                     python-coverage,
                     python-hacking,
                     python-oslo-log (>= 0.4.0),
                     python-oslosphinx,
                     python-oslotest (>= 1.1.0.0a1),
                     python-testscenarios,
                     python-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/networking-arista.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/networking-arista.git
Homepage: https://github.com/stackforge/networking-arista

Package: python-networking-arista
Architecture: all
Section: python
Depends: python-babel,
         python-neutron (>= 2015.1.0),
         python-oslo-log (>= 0.4.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping
Description: OpenStack virtual network service - Arista plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Arista plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := git://github.com/stackforge/networking-arista.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## networking-arista 2015.2.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 Babel>=1.3
+jsonrpclib
 oslo.log>=0.4.0 # Apache-2.0
-pbr>=0.6,!=0.7,<1.0
+pbr<2.0,>=0.11

=== debian/changelog ===
networking-arista (2015.2.0-1) unstable; urgency=medium

  * New upstream release:
    - Updates dependency, and therefore fixes FTBFS (Closes: #808673).
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Dec 2015 15:17:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: networking-arista
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr,
+               python-pbr (>= 0.11),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-neutron (>= 2015.1~rc2),
+Build-Depends-Indep: python-neutron (>= 1:7.0.0),
                      python-babel,
                      python-coverage,
+                     python-jsonrpclib,
                      python-hacking,
-                     python-oslo-log (>= 0.4.0),
+                     python-mock,
+                     python-oslo.log (>= 0.4.0),
                      python-oslosphinx,
                      python-oslotest (>= 1.1.0.0a1),
                      python-testscenarios,
@@ -31,8 +32,10 @@
 Architecture: all
 Section: python
 Depends: python-babel,
-         python-neutron (>= 2015.1.0),
-         python-oslo-log (>= 0.4.0),
+         python-jsonrpclib,
+         python-neutron (>= 1:7.0.0),
+         python-oslo.log (>= 0.4.0),
+         python-pbr (>= 0.11),
          ${misc:Depends},
          ${python:Depends},
 Recommends: iputils-arping

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2
+
+override_dh_auto_install:
+	dh_auto_install
+	mv $(CURDIR)/debian/python-networking-arista/usr/etc $(CURDIR)/debian/python-networking-arista/
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/networking-arista/tags .*/(\d[\d\.]+)\.tar\.gz

## networking-arista 2016.1.0

=== debian/changelog ===
networking-arista (2016.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT, changed to default value
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed debian/copyright ordering.
  * Standards-Version is now 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 14:10:22 +0200

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
                      python-testtools,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/networking-arista.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/networking-arista.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/networking-arista.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/networking-arista.git
 Homepage: https://github.com/stackforge/networking-arista
 
 Package: python-networking-arista

## networking-arista 2016.2.0

=== requirements.txt ===
--- 
+++ 
@@ -4,5 +4,6 @@
 
 Babel>=1.3
 jsonrpclib
+neutron-lib>=0.3.0 # Apache-2.0
 oslo.log>=0.4.0 # Apache-2.0
 pbr<2.0,>=0.11

=== debian/changelog ===
networking-arista (2016.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added missing python-testresources build-depends (Closes: #841515).
  * Switching to debhelper >= 10.
  * Fixed VCS URLs.
  * Fixed d/source/options to ignore .gitreview changes.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Dec 2016 13:14:32 +0100

=== debian/control ===
Source: networking-arista
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 53),
               python-all,
               python-pbr (>= 0.11),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking,
                     python-jsonrpclib,
                     python-mock,
                     python-neutron (>= 2:9.0.0),
                     python-neutron-lib (>= 0.3.0),
                     python-oslo.log (>= 0.4.0),
                     python-oslosphinx,
                     python-oslotest (>= 1:2.10.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-networking-arista?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-networking-arista -b debian/newton
Homepage: https://github.com/stackforge/networking-arista

Package: python-networking-arista
Architecture: all
Section: python
Depends: python-babel,
         python-jsonrpclib,
         python-neutron (>= 2:9.0.0),
         python-neutron-lib (>= 0.3.0),
         python-oslo.log (>= 0.4.0),
         python-pbr (>= 0.11),
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Description: OpenStack virtual network service - Arista plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Arista plugin.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := git://github.com/stackforge/networking-arista.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)

## networking-arista 2017.2.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
neutron-lib>=1.9.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT

=== debian/changelog ===
networking-arista (2017.2.2-2ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/control, d/rules, d/python3-networking-arista.install: Revert
    "Switched to Python 3 (Closes: #892881)." for Ubuntu Queens
    as we do not yet provide python3-neutron.
  * Import orig upstream tar for 2017.2.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Apr 2018 12:37:02 -0400

networking-arista (2017.2.2-2) unstable; urgency=medium

  * Add breaks+replaces: python-networking-arista.
  * Add missing dh_install call.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Mar 2018 22:37:04 +0100

networking-arista (2017.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Switched to Python 3 (Closes: #892881).

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Mar 2018 22:22:58 +0100

networking-arista (2017.2.1-1) unstable; urgency=medium

  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Standards-Version: 4.1.1.
  * New upstream release (Closes: #881208).
  * Fixed (build-)depends for this release.
  * Installing ml2_conf_arista.ini correctly.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Nov 2017 00:04:00 +0100

=== debian/control ===
Source: networking-arista
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python-coverage,
 python-hacking,
 python-mock,
 python-neutron (>= 2:11.0.0),
 python-neutron-lib (>= 1.9.0),
 python-oslo.config (>= 4.0.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.log (>= 3.22.0),
 python-oslo.service,
 python-oslo.utils (>= 3.20.0),
 python-oslosphinx,
 python-oslotest (>= 1:2.10.0),
 python-requests (>= 2.14.2),
 python-six,
 python-sqlalchemy,
 python-testresources,
 python-testscenarios,
 python-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-arista
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-arista
Homepage: https://github.com/stackforge/networking-arista

Package: python-networking-arista
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python-neutron (>= 2:11.0.0),
 python-neutron-lib (>= 1.9.0),
 python-oslo.config (>= 4.0.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.log (>= 3.22.0),
 python-oslo.service,
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six,
 python-sqlalchemy,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 iputils-arping,
Breaks:
 python-networking-arista,
Replaces:
 python-networking-arista,
Description: OpenStack virtual network service - Arista plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Arista plugin.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	mv $(CURDIR)/debian/python-networking-arista/usr/etc $(CURDIR)/debian/python-networking-arista/
+	install -D -m 644 etc/ml2_conf_arista.ini $(CURDIR)/debian/python-networking-arista/etc/neutron/plugins/ml2/ml2_conf_arista.ini
+	dh_install
+	dh_missing --fail-missing -X/etc/neutron/plugins/ml2/ml2_conf_arista.ini
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## networking-arista 2018.1.0+2018.08.21.git.3adf6272bd

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
neutron-lib>=1.18.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT

# These repos are installed from git in OpenStack CI if the job
# configures them as required-projects
neutron # Apache-2.0

=== debian/changelog ===
networking-arista (2018.1.0+2018.08.21.git.3adf6272bd-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release (based on latest Git commit):
    - Fix FTBFS with newer Neutron (Closes: #909370).
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Sep 2018 09:37:15 +0200

=== debian/control ===
Source: networking-arista
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-coverage,
 python3-hacking,
 python3-mock,
 python3-neutron (>= 2:13.0.0),
 python3-neutron-lib (>= 1.18.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:2.10.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sqlalchemy,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-arista
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-arista.git
Homepage: https://github.com/stackforge/networking-arista

Package: python3-networking-arista
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-neutron (>= 2:13.0.0),
 python3-neutron-lib (>= 1.18.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 iputils-arping,
Breaks:
 python-networking-arista,
Replaces:
 python-networking-arista,
Description: OpenStack virtual network service - Arista plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Arista plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif
	install -D -m 644 etc/ml2_conf_arista.ini $(CURDIR)/debian/python3-networking-arista/etc/neutron/plugins/ml2/ml2_conf_arista.ini
	dh_install
	dh_missing --fail-missing -X/etc/neutron/plugins/ml2/ml2_conf_arista.ini

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## networking-arista 2019.1.0~b1~git2019020417.f81a6f3

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 alembic>=0.8.10 # MIT
-neutron-lib>=1.18.0 # Apache-2.0
+neutron-lib>=1.21.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
@@ -12,8 +12,14 @@
 oslo.utils>=3.33.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT
-SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
+SQLAlchemy>=1.2.0 # MIT
 
 # These repos are installed from git in OpenStack CI if the job
 # configures them as required-projects
 neutron # Apache-2.0
+
+# The comment below indicates this project repo is current with neutron-lib
+# and should receive neutron-lib consumption patches as they are released
+# in neutron-lib. It also implies the project will stay current with TC
+# and infra initiatives ensuring consumption patches can land.
+# neutron-lib-current

=== debian/changelog ===
networking-arista (2019.1.0~b1~git2019020417.f81a6f3-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/watch: Use pypi.debian.net for releases.
  * d/gbp.conf: Configure use of pristine-tar.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Feb 2019 16:04:19 +0000

networking-arista (2018.2.0~b1~git2018112011.53edc6a-0ubuntu1) disco; urgency=medium

  * Resync with Debian unstable.
  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 14:09:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: networking-arista
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:

## networking-arista 2019.1.2~git2019101515.025569e

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=4.0.0 # Apache-2.0
 
 alembic>=0.8.10 # MIT
-neutron-lib>=1.21.0 # Apache-2.0
+neutron-lib>=1.25.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
networking-arista (2019.1.2~git2019101515.025569e-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/p/skip-tests.patch: Skip tests that are failing in Ubuntu builds until
    upstream bug is resolved.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Oct 2019 15:59:27 -0400

networking-arista (2019.1.1~b2~git2019080858.d7d6ffa-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Align with other OpenStack packages.

  [ Corey Bryant ]
  * d/control: Set python3-neutron BD min version back to 2:15.0.0~ to ensure
    correct min version is used in cloud archive backport.
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 16:00:59 -0400

networking-arista (2019.1.0~b1~git2019061315.b483967-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 14:11:28 +0100

=== debian/control ===
--- 
+++ 
@@ -10,29 +10,32 @@
  dh-python,
  openstack-pkg-tools (>= 70~),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 4.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-coverage,
- python3-hacking,
- python3-mock,
- python3-neutron (>= 2:13.0.0),
- python3-neutron-lib (>= 1.18.0),
+ python3-alembic (>= 0.8.10),
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 0.12.0),
+ python3-mock (>= 2.0.0),
+ python3-neutron (>= 2:15.0.0~),
+ python3-neutron-lib (>= 1.25.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslosphinx,
- python3-oslotest (>= 1:2.10.0),
+ python3-oslosphinx (>= 4.7.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-requests (>= 2.14.2),
- python3-six,
- python3-sqlalchemy,
- python3-testresources,
- python3-testscenarios,
- python3-testtools,
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
 Standards-Version: 4.1.1
@@ -45,17 +48,17 @@
 Section: python
 Depends:
  alembic (>= 0.8.10),
- python3-neutron (>= 2:13.0.0),
- python3-neutron-lib (>= 1.18.0),
+ python3-neutron (>= 2:15.0.0~),
+ python3-neutron-lib (>= 1.25.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 4.0.0),
  python3-requests (>= 2.14.2),
- python3-six,
- python3-sqlalchemy,
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## networking-arista 2019.1.5~git2020041316.382e8a9

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pbr>=4.0.0 # Apache-2.0
 
 alembic>=0.8.10 # MIT
-neutron-lib>=1.25.0 # Apache-2.0
+neutron-lib>=2.0.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
networking-arista (2019.1.5~git2020041316.382e8a9-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 16:15:05 -0400

networking-arista (2019.1.2~git2020032726.4b002ee-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Mar 2020 16:01:30 +0000

networking-arista (2019.1.2~git2020021717.1dce57f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/rules: Tidy, switch to pybuild.

 -- James Page <james.page@ubuntu.com>  Mon, 17 Feb 2020 10:50:18 +0000

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/networking-arista/networking-arista-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## networking-arista 2019.1.9

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pbr>=4.0.0 # Apache-2.0
 
 alembic>=0.8.10 # MIT
-neutron-lib>=2.0.0 # Apache-2.0
+neutron-lib>=1.25.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
@@ -14,10 +14,6 @@
 six>=1.10.0 # MIT
 SQLAlchemy>=1.2.0 # MIT
 
-# These repos are installed from git in OpenStack CI if the job
-# configures them as required-projects
-neutron # Apache-2.0
-
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released
 # in neutron-lib. It also implies the project will stay current with TC

=== debian/changelog ===
networking-arista (2019.1.9-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/gbp.conf: Create stable/stein branch and align with standard openstack gbp.conf.
  * d/watch: Update path to pypi artifact.
  * d/p/fix-attribute-error-on-select-poll.patch: Fix AttributeError on
    select.poll() (LP: #1889396).
  * New stable point release for OpenStack Stein (LP: #1888693).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Skip tests that are failing in Ubuntu builds until
    upstream bug is resolved (LP: #1848239)

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Sep 2020 17:15:13 -0400

networking-arista (2019.1.0~b1~git2019020417.f81a6f3-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 04 Feb 2019 16:34:56 +0000

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,15 @@
  dh-python,
  openstack-pkg-tools (>= 70~),
  python3-all,
- python3-pbr (>= 4.0.0),
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-alembic (>= 0.8.10),
- python3-coverage (>= 4.0),
- python3-hacking (>= 0.12.0),
- python3-mock (>= 2.0.0),
- python3-neutron (>= 2:15.0.0~),
+ python3-coverage,
+ python3-hacking,
+ python3-mock,
+ python3-neutron (>= 2:13.0.0),
  python3-neutron-lib (>= 1.25.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -30,9 +29,8 @@
  python3-oslotest (>= 1:3.2.0),
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),
+ python3-stestr (>= 1.0.0),
  python3-sqlalchemy (>= 1.2.0),
- python3-stestr (>= 1.0.0),
- python3-subunit (>= 1.0.0),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
@@ -48,14 +46,14 @@
 Section: python
 Depends:
  alembic (>= 0.8.10),
- python3-neutron (>= 2:15.0.0~),
+ python3-neutron (>= 2:13.0.0),
  python3-neutron-lib (>= 1.25.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
- python3-pbr (>= 4.0.0),
+ python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.2.0),

## networking-arista 2019.2.3

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pbr>=4.0.0 # Apache-2.0
 
 alembic>=0.8.10 # MIT
-neutron-lib>=1.25.0 # Apache-2.0
+neutron-lib>=1.29.1 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
networking-arista (2019.2.3-0ubuntu1) focal; urgency=medium

  * d/gbp.conf: Create stable/ussuri branch.
  * d/watch: Update path to pypi artifact.
  * d/p/fix-attribute-error-on-select-poll.patch: Fix AttributeError on
    select.poll() (LP: #1889396).
  * New stable point release for OpenStack Ussuri (LP: #1888693).
  * d/p/update-create-network-test-wrapper-to-set-mtu-as-145.patch:
    Fix unit tests failing due to requested MTU too big (LP: #1895059).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Sep 2020 16:50:32 -0400

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,17 @@
  dh-python,
  openstack-pkg-tools (>= 70~),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 4.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-coverage,
- python3-hacking,
- python3-mock,
- python3-neutron (>= 2:13.0.0),
- python3-neutron-lib (>= 1.25.0),
+ python3-alembic (>= 0.8.10),
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 0.12.0),
+ python3-mock (>= 2.0.0),
+ python3-neutron (>= 2:16.0.0~),
+ python3-neutron-lib (>= 2.0.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
@@ -29,8 +30,9 @@
  python3-oslotest (>= 1:3.2.0),
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.2.0),
  python3-stestr (>= 1.0.0),
- python3-sqlalchemy (>= 1.2.0),
+ python3-subunit (>= 1.0.0),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
@@ -46,14 +48,14 @@
 Section: python
 Depends:
  alembic (>= 0.8.10),
- python3-neutron (>= 2:13.0.0),
- python3-neutron-lib (>= 1.25.0),
+ python3-neutron (>= 2:16.0.0~),
+ python3-neutron-lib (>= 2.0.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 4.0.0),
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.2.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PBR_VERSION=$(OSLO_PACKAGE_VERSION)

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	dh_clean
	rm -rf build

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_install:
	install -D -m 644 etc/ml2_conf_arista.ini $(CURDIR)/debian/python3-networking-arista/etc/neutron/plugins/ml2/ml2_conf_arista.ini
	dh_install
	dh_missing --fail-missing -X/etc/neutron/plugins/ml2/ml2_conf_arista.ini

## networking-arista 2020.1.1~git2020091516.f8a5a58

=== debian/changelog ===
networking-arista (2020.1.1~git2020091516.f8a5a58-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/p/fix-attribute-error-on-select-poll.patch: Dropped. Fixed in new upstream
    snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 16:58:49 -0400

networking-arista (2019.2.4~git2020070613.c35fef5-0ubuntu2) groovy; urgency=medium

  * d/p/fix-attribute-error-on-select-poll.patch: Fix AttributeError on
    select.poll() (LP: #1889396).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Sep 2020 10:11:03 -0400

networking-arista (2019.2.4~git2020070613.c35fef5-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Vcs-* and Homepage.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 13:49:22 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 70~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 4.0.0),
  python3-setuptools,
@@ -17,9 +17,9 @@
  alembic (>= 0.8.10),
  python3-alembic (>= 0.8.10),
  python3-coverage (>= 4.0),
- python3-hacking (>= 0.12.0),
- python3-mock (>= 2.0.0),
- python3-neutron (>= 2:16.0.0~),
+ python3-hacking (>= 1.1.0),
+ python3-mock (>= 3.0.0),
+ python3-neutron (>= 2:16.0.0),
  python3-neutron-lib (>= 2.0.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -38,17 +38,18 @@
  python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
-Standards-Version: 4.1.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-arista
-Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-arista.git
-Homepage: https://github.com/stackforge/networking-arista
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-arista
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-arista
+Homepage: https://opendev.org/x/networking-arista
 
 Package: python3-networking-arista
 Architecture: all
 Section: python
 Depends:
  alembic (>= 0.8.10),
- python3-neutron (>= 2:16.0.0~),
+ python3-alembic (>= 0.8.10),
+ python3-neutron (>= 2:16.0.0),
  python3-neutron-lib (>= 2.0.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),

## networking-arista 2020.2.0+git2021012914.14640a3

=== debian/changelog ===
networking-arista (2020.2.0+git2021012914.14640a3-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Jan 2021 21:24:12 +0000

networking-arista (2020.2.0+git2021012914.14640a3-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 14:20:36 -0500

=== debian/control ===
--- 
+++ 
@@ -39,8 +39,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-arista
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-arista
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-arista
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-arista
 Homepage: https://opendev.org/x/networking-arista
 
 Package: python3-networking-arista

## networking-arista 2021.1.0+git2021090912.f26e45b

=== debian/changelog ===
networking-arista (2021.1.0+git2021090912.f26e45b-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Sep 2021 18:36:59 +0000

networking-arista (2021.1.0+git2021090912.f26e45b-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:46:50 -0400

networking-arista (2020.2.1+git2021062816.e69c124-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/p/skip-tests.patch: Rebased.
  * d/p/revert-sqlalchemy-1.4.18.patch: Revert upstream patch that was added
    make code work with SQLAlchemy 1.4.18. Currently, Ubuntu Impish has
    sqlalchemy 1.3.22.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 16:37:19 -0400

## networking-arista 2021.2.0+git2022011308.8b1273a

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

alembic>=1.6.5 # MIT
neutron-lib>=2.16.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.config>=8.0.0 # Apache-2.0
oslo.log>=4.5.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
requests>=2.18.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy>=1.4.23 # MIT

# These repos are installed from git in OpenStack CI if the job
# configures them as required-projects
neutron # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
networking-arista (2021.2.0+git2022011308.8b1273a-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.
  * d/p/revert-sqlalchemy-1.4.18.patch: Dropped. No longer needed with latest
    sqlalchemy.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 08:35:01 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -15,22 +15,22 @@
  python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 1.6.5),
  python3-coverage (>= 4.0),
  python3-hacking (>= 1.1.0),
  python3-mock (>= 3.0.0),
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 2.0.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-neutron (>= 2:19.0.0),
+ python3-neutron-lib (>= 2.16.0),
+ python3-oslo.config (>= 1:8.0.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 4.5.0),
+ python3-oslo.service (>= 1.31.0),
+ python3-oslo.utils (>= 4.5.0),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
- python3-requests (>= 2.14.2),
+ python3-requests (>= 2.18.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy (>= 1.4.23),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
  python3-testresources (>= 2.0.0),
@@ -48,18 +48,18 @@
 Section: python
 Depends:
  alembic (>= 0.8.10),
- python3-alembic (>= 0.8.10),
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 2.0.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-alembic (>= 1.6.5),
+ python3-neutron (>= 2:19.0.0),
+ python3-neutron-lib (>= 2.16.0),
+ python3-oslo.config (>= 1:8.0.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 4.5.0),
+ python3-oslo.service (>= 1.31.0),
+ python3-oslo.utils (>= 4.5.0),
  python3-pbr (>= 4.0.0),
- python3-requests (>= 2.14.2),
+ python3-requests (>= 2.18.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy (>= 1.4.23),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/networking-arista/networking_arista-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## networking-arista 2022.1.1%2Bgit2022071815.76b2378

=== debian/changelog ===
networking-arista (2022.1.1+git2022071815.76b2378-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:21:08 -0400

networking-arista (2022.1.0+git2022060214.03a525f-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 14:11:43 -0400

## networking-arista 2022.1.1+git2022071815.76b2378

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pbr>=4.0.0 # Apache-2.0
 
 alembic>=1.6.5 # MIT
-neutron-lib>=2.16.0 # Apache-2.0
+neutron-lib>=2.20.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.config>=8.0.0 # Apache-2.0
 oslo.log>=4.5.0 # Apache-2.0

=== debian/changelog ===
networking-arista (2022.1.1+git2022071815.76b2378-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 18 Jul 2022 21:54:28 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
  python3-pbr (>= 4.0.0),
  python3-setuptools,
@@ -17,10 +17,10 @@
  alembic (>= 0.8.10),
  python3-alembic (>= 1.6.5),
  python3-coverage (>= 4.0),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-mock (>= 3.0.0),
- python3-neutron (>= 2:19.0.0),
- python3-neutron-lib (>= 2.16.0),
+ python3-neutron,
+ python3-neutron-lib (>= 2.20.0),
  python3-oslo.config (>= 1:8.0.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 4.5.0),
@@ -38,8 +38,7 @@
  python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-arista
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-arista
 Homepage: https://opendev.org/x/networking-arista
 
@@ -49,8 +48,8 @@
 Depends:
  alembic (>= 0.8.10),
  python3-alembic (>= 1.6.5),
- python3-neutron (>= 2:19.0.0),
- python3-neutron-lib (>= 2.16.0),
+ python3-neutron,
+ python3-neutron-lib (>= 2.20.0),
  python3-oslo.config (>= 1:8.0.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 4.5.0),

## networking-arista 2022.2.0+git2023030309.95bde30e

=== debian/changelog ===
networking-arista (2022.2.0+git2023030309.95bde30e-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:35:22 -0500

networking-arista (2022.1.1+git2023011010.0fff7b8a-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:08:56 -0500

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
+ python3-webtest (>= 2.0.27),
  subunit,
  testrepository,
 Standards-Version: 4.6.1
